import BaseSchema from '@ioc:Adonis/Lucid/Schema'

export default class extends BaseSchema {
    protected tableName = 'ocr_devices'

    public async up() {
        this.schema.alterTable(this.tableName, (table) => {
            table.string('ip_address').notNullable().defaultTo('null')
        })
    }

    public async down() {
        this.schema.dropTable(this.tableName)
    }
}
